Bug 32228 - Не запускается
: Не запускается
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/shutter)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2016-06-28 13:05 by
Modified: 2016-07-09 17:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-06-28 13:05:21
$ rpm -qa | egrep -i --color -- "(shutter)"
shutter-0.88.2-alt1

При запуске получаю такую картину.

$ shutter 
Can't use 'defined(@array)' (Maybe you should just omit the defined()?) at
/usr/bin/shutter line 3662.

----------------
$ cat /usr/bin/shutter -n | grep 3662 -A12 -B5
  3657                $sm->{_menuitem_email}->set_sensitive($n_items);
  3658                $sm->{_menuitem_close}->set_sensitive($n_items);        
  3659                $sm->{_menuitem_close_all}->set_sensitive($n_items);      
  3660            
  3661                #edit
  3662                if($n_items && defined $key && defined
@{$session_screens{$key}->{'undo'}} && scalar
@{$session_screens{$key}->{'undo'}} > 1){
  3663                    $sm->{_menuitem_undo}->set_sensitive(TRUE);           
  3664                }else{
  3665                    $sm->{_menuitem_undo}->set_sensitive(FALSE);
  3666                }
  3667            
  3668                if($n_items && defined $key && defined
@{$session_screens{$key}->{'redo'}} && scalar
@{$session_screens{$key}->{'redo'}} > 0){
  3669                    $sm->{_menuitem_redo}->set_sensitive(TRUE);           
  3670                }else{
  3671                    $sm->{_menuitem_redo}->set_sensitive(FALSE);
  3672                }
  3673                    
  3674                $sm->{_menuitem_trash}->set_sensitive($n_items);
-------------------------

На сайте http://shutter-project.org/ последняя версия имеет номер 0.93.1.
Может стоит обновить?
------- Comment #1 From 2016-06-28 14:08:39 -------
На Sisyphus.
------- Comment #2 From 2016-07-09 17:09:51 -------
shutter-0.93.1-alt1 -> sisyphus:

* Sat Jul 09 2016 Andrey Cherepanov <cas@altlinux> 0.93.1-alt1
- 0.93.1 (ALT #32228)
- Add requires of perl-podlators (ALT #31413)